<?xml version='1.0' encoding='UTF-8'?>
<tables>
	<table>
		<name>domains</name>
		<column>
			<name>sid</name>
			<type>integer</type>
			<options>
				<unsigned>true</unsigned>
				<autoincrement>true</autoincrement>
			</options>
		</column>
		<column>
			<name>domain</name>
			<type>string</type>
			<options>
				<length>160</length>
				<customSchemaOptions>
					<collation>utf8mb4_bin</collation>
				</customSchemaOptions>
			</options>
		</column>
		<column>
			<name>ascii_domain</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>tld</name>
			<type>string</type>
			<options>
				<length>48</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>api_profile</name>
			<type>string</type>
			<options>
				<length>64</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>import_source</name>
			<type>string</type>
			<options>
				<length>64</length>
				<default>NULL</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>import_row_id</name>
			<type>string</type>
			<options>
				<length>64</length>
				<default>NULL</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>axfr_ip</name>
			<type>string</type>
			<options>
				<length>48</length>
				<default>NULL</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>axfr_status</name>
			<type>integer</type>
			<options>
				<notnull>false</notnull>
				<default>0</default>
			</options>
		</column>
		<column>
			<name>added_on</name>
			<type>datetime</type>
			<options>
				<notnull>false</notnull>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>registry_expiry</name>
			<type>date</type>
			<options>
				<notnull>false</notnull>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>registrar_expiry</name>
			<type>date</type>
			<options>
				<notnull>false</notnull>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>created_on</name>
			<type>date</type>
			<options>
				<notnull>false</notnull>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>last_update</name>
			<type>date</type>
			<options>
				<notnull>false</notnull>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>registrar</name>
			<type>string</type>
			<options>
				<length>150</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>status</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>availability</name>
			<type>string</type>
			<options>
				<length>64</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>domain_id</name>
			<type>string</type>
			<options>
				<length>64</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>primary_whois_server</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>secondary_whois_server</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>ip</name>
			<type>string</type>
			<options>
				<length>16</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>ns1</name>
			<type>string</type>
			<options>
				<length>128</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>ns2</name>
			<type>string</type>
			<options>
				<length>128</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>ns3</name>
			<type>string</type>
			<options>
				<length>128</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>ns4</name>
			<type>string</type>
			<options>
				<length>128</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>ns5</name>
			<type>string</type>
			<options>
				<length>128</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>ns6</name>
			<type>string</type>
			<options>
				<length>128</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>ns7</name>
			<type>string</type>
			<options>
				<length>128</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>ns8</name>
			<type>string</type>
			<options>
				<length>128</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>mx1</name>
			<type>string</type>
			<options>
				<length>128</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>mx2</name>
			<type>string</type>
			<options>
				<length>128</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>mx3</name>
			<type>string</type>
			<options>
				<length>128</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>mxip1</name>
			<type>string</type>
			<options>
				<length>16</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>mxip2</name>
			<type>string</type>
			<options>
				<length>16</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>mxip3</name>
			<type>string</type>
			<options>
				<length>16</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>admin_email</name>
			<type>string</type>
			<options>
				<length>120</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>tech_email</name>
			<type>string</type>
			<options>
				<length>120</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>billing_email</name>
			<type>string</type>
			<options>
				<length>120</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>registrant_email</name>
			<type>string</type>
			<options>
				<length>120</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>owner</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>organization</name>
			<type>string</type>
			<options>
				<length>120</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>address</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>owner_country</name>
			<type>string</type>
			<options>
				<length>128</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>admin_phone</name>
			<type>string</type>
			<options>
				<length>64</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>notes_a</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>notes_b</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>notes_c</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>notes_d</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>pingtime</name>
			<type>integer</type>
			<options>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>home_page_modified</name>
			<type>datetime</type>
			<options>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>home_page_status</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>redirect_urls</name>
			<type>string</type>
			<options>
				<length>2048</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>redirect_last_url</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>home_page_url</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>home_page_title</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
				<customSchemaOptions>
					<collation>utf8mb4_bin</collation>
				</customSchemaOptions>
			</options>
		</column>
		<column>
			<name>home_page_header</name>
			<type>string</type>
			<options>
				<length>2048</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>home_page_token</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>ip_org_name</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
			<column>
			<name>ip_net_name</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>ip_rtech_name</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>ip_asname</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>ip_asnumber</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>home_page_size</name>
			<type>integer</type>
			<options>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>page_token_found</name>
			<type>integer</type>
			<options>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>edited</name>
			<type>boolean</type>
			<options>
				<notnull>false</notnull>
				<default>0</default>
			</options>
		</column>
		<column>
			<name>disable_alerts</name>
			<type>boolean</type>
			<options>
				<notnull>false</notnull>
				<default>0</default>
			</options>
		</column>
		<column>
			<name>write_protect</name>
			<type>boolean</type>
			<options>
				<notnull>false</notnull>
				<default>0</default>
			</options>
		</column>
		<column>
			<name>primary_whois_checked_at</name>
			<type>datetime</type>
			<options>
				<notnull>false</notnull>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>secondary_whois_checked_at</name>
			<type>datetime</type>
			<options>
				<notnull>false</notnull>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>rootdns_checked_at</name>
			<type>datetime</type>
			<options>
				<notnull>false</notnull>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>ping_checked_at</name>
			<type>datetime</type>
			<options>
				<notnull>false</notnull>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>home_page_checked_at</name>
			<type>datetime</type>
			<options>
				<notnull>false</notnull>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>manual_edited_at</name>
			<type>datetime</type>
			<options>
				<notnull>false</notnull>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>ssl_checked_at</name>
			<type>datetime</type>
			<options>
				<notnull>false</notnull>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>subdomains_checked_at</name>
			<type>datetime</type>
			<options>
				<notnull>false</notnull>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>websites_checked_at</name>
			<type>datetime</type>
			<options>
				<notnull>false</notnull>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>ip_whois_at</name>
			<type>datetime</type>
			<options>
				<notnull>false</notnull>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>registry_whois</name>
			<type>text</type>
			<options>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>registrar_whois</name>
			<type>text</type>
			<options>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>ip_whois</name>
			<type>text</type>
			<options>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>homepage_html</name>
			<type>text</type>
			<options>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>r_h_disp</name>
			<type>integer</type>
			<options>
				<notnull>false</notnull>
				<unsigned>true</unsigned>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>days_to_expiry</name>
			<type>integer</type>
			<options>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>primary_rdap_server</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>secondary_rdap_server</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>registrar_abuse_email</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>subdomains_autofound_at</name>
			<type>datetime</type>
			<options>
				<notnull>false</notnull>
				<default>NULL</default>
			</options>
		</column>
		
		<keys>
			<primary>sid</primary>
			<unique>domain</unique>
			<index>registry_expiry</index>
			<index>registrar_expiry</index>
			<index>created_on</index>
			<index>primary_whois_checked_at</index>
			<index>secondary_whois_checked_at</index>
			<index>edited</index>
			<index>write_protect</index>
			<index>status</index>
			<index>availability</index>
			<index>api_profile</index>
			<index>subdomains_autofound_at</index>
		</keys>
		<init>
			SQL:<![CDATA[
			]]>
		</init>
	</table>
</tables>
